Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.internal.swt.reference
Class LinkControl

    java.lang.Object
      org.eclipse.emf.ecp.edit.spi.ECPAbstractControl
          org.eclipse.emf.ecp.edit.internal.swt.util.SWTControl
              org.eclipse.emf.ecp.edit.internal.swt.controls.SingleControl
                  org.eclipse.emf.ecp.edit.internal.swt.reference.LinkControl

All Implemented Interfaces:
  ECPControlSWT

Direct Known Subclasses:
  ControlRootEClassControl, ControlTargetFeatureControl, EClassifierControl, TableColumnDomainModelReferenceControl

    public class LinkControl

extends SingleControl

This class defines a Control which is used for displaying `EStructuralFeature`s which have a reference.

Author:
  Eugen Neufeld

Constructor Summary
`LinkControl()`

Method Summary
`org.eclipse.core.databinding.Binding` | `bindValue()` Triggers the control to perform the databinding.
`void` | `dispose()` Disposes the control.
`org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator` | `getAdapterFactoryItemDelegator()`
`org.eclipse.emf.edit.provider.ComposedAdapterFactory` | `getComposedAdapterFactory()`
`void` | `setAdapterFactoryItemDelegator(org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator adapterFactoryItemDelegator)`
`void` | `setComposedAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory composedAdapterFactory)`
`void` | `setEditable(boolean isEditable)` Sets the state of the widget to be either editable or not.

Methods inherited from class org.eclipse.emf.ecp.edit.internal.swt.controls.SingleControl
`handleValidation, resetValidation, showLabel`

Methods inherited from class org.eclipse.emf.ecp.edit.internal.swt.util.SWTControl
`createControl, createControls, setObservableValue`

Methods inherited from class org.eclipse.emf.ecp.edit.spi.ECPAbstractControl
`getDataBindingContext, getFirstSetting, getFirstStructuralFeature, getItemPropertyDescriptor, init, setEmbedded`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkControl

    public LinkControl()

Method Detail

### setEditable

    public void setEditable(boolean isEditable)

  Sets the state of the widget to be either editable or not.

  Overrides:
    `setEditable` in class `ECPAbstractControl`
  Parameters:
    `isEditable` - whether to set the widget editable

### bindValue

    public org.eclipse.core.databinding.Binding bindValue()

  Description copied from class: `SWTControl`
  Triggers the control to perform the databinding.

  Returns:
    The `Binding`

### dispose

    public void dispose()

  Description copied from class: `SingleControl`
  Disposes the control. A control which needs specific dispose handling must still call super.dispose.

  Overrides:
    `dispose` in class `SingleControl`

### getAdapterFactoryItemDelegator

    public org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator getAdapterFactoryItemDelegator()

  Returns:
    the adapterFactoryItemDelegator

### setAdapterFactoryItemDelegator

    public void setAdapterFactoryItemDelegator(org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator adapterFactoryItemDelegator)

  Parameters:
    `adapterFactoryItemDelegator` - the adapterFactoryItemDelegator to set

### getComposedAdapterFactory

    public org.eclipse.emf.edit.provider.ComposedAdapterFactory getComposedAdapterFactory()

  Returns:
    the composedAdapterFactory

### setComposedAdapterFactory

    public void setComposedAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory composedAdapterFactory)

  Parameters:
    `composedAdapterFactory` - the composedAdapterFactory to set

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.